com.holonplatform.datastore.jpa.querydsl.examples

## Class QTest

- java.lang.Object
- - com.querydsl.core.types.dsl.DslExpression<T>
  - - com.querydsl.core.types.dsl.SimpleExpression<T>
    - - com.querydsl.core.types.dsl.BeanPath<T>
      - - com.querydsl.core.types.dsl.EntityPathBase<Test>
        - - com.holonplatform.datastore.jpa.querydsl.examples.QTest

- All Implemented Interfaces:
    com.querydsl.core.types.EntityPath<Test>, com.querydsl.core.types.Expression<Test>, com.querydsl.core.types.Path<Test>, Serializable

      @Generated(value="com.querydsl.codegen.EntitySerializer")
      public class QTest
      extends com.querydsl.core.types.dsl.EntityPathBase<Test>

  QTestJpaDomain is a Querydsl query type for TestJpaDomain
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `com.querydsl.core.types.dsl.NumberPath<Long>` | `id`
    `com.querydsl.core.types.dsl.StringPath` | `name`
    `static QTest` | `test`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QTest(Class<? extends Test> type, com.querydsl.core.types.PathMetadata metadata, com.querydsl.core.types.dsl.PathInits inits)`
    `QTest(com.querydsl.core.types.Path<? extends Test> path)`
    `QTest(com.querydsl.core.types.PathMetadata metadata)`
    `QTest(com.querydsl.core.types.PathMetadata metadata, com.querydsl.core.types.dsl.PathInits inits)`
    `QTest(String variable)`

  - ### Method Summary

    - ### Methods inherited from class com.querydsl.core.types.dsl.EntityPathBase

      `getMetadata`

    - ### Methods inherited from class com.querydsl.core.types.dsl.BeanPath

      `accept, as, getAnnotatedElement, getMetadata, getRoot, instanceOf, instanceOfAny`

    - ### Methods inherited from class com.querydsl.core.types.dsl.SimpleExpression

      `as, as, count, countDistinct, eq, eq, eqAll, eqAll, eqAny, eqAny, in, in, in, in, in, isNotNull, isNull, ne, ne, neAll, neAny, notIn, notIn, notIn, notIn, notIn, nullif, nullif, when, when`

    - ### Methods inherited from class com.querydsl.core.types.dsl.DslExpression

      `equals, getType, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.querydsl.core.types.Path

      `getAnnotatedElement, getMetadata, getRoot`

    - ### Methods inherited from interface com.querydsl.core.types.Expression

      `accept, getType`

- - ### Field Detail

    - #### test

          public static final QTest test

    - #### id

          public final com.querydsl.core.types.dsl.NumberPath<Long> id

    - #### name

          public final com.querydsl.core.types.dsl.StringPath name

  - ### Constructor Detail

    - #### QTest

          public QTest(String variable)

    - #### QTest

          public QTest(com.querydsl.core.types.Path<? extends Test> path)

    - #### QTest

          public QTest(com.querydsl.core.types.PathMetadata metadata)

    - #### QTest

          public QTest(com.querydsl.core.types.PathMetadata metadata,
                       com.querydsl.core.types.dsl.PathInits inits)

    - #### QTest

          public QTest(Class<? extends Test> type,
                       com.querydsl.core.types.PathMetadata metadata,
                       com.querydsl.core.types.dsl.PathInits inits)

Copyright © 2019 The Holon Platform. All rights reserved.